#!/bin/bash

# When executing the contents of a prehook or posthook directive, as
# defined below, tea4cups makes the following environment variables
# available to your own commands :
#
#      TEAPRINTERNAME : The print queue name.
#      TEADIRECTORY : Tea4CUPS output directory.
#      TEADATAFILE : Full name of Tea4CUPS work file (in $TEADIRECTORY).
#      TEAJOBSIZE : Job's size in bytes.
#      TEAMD5SUM : MD5 sum of the job's datas.
#      TEACLIENTHOST : Client's hostname or IP address.
#      TEAJOBID : Job's Id.
#      TEAUSERNAME : Name of the user who launched the print job.
#      TEATITLE : Job's title.
#      TEACOPIES : Number of copies requested.
#      TEAOPTIONS : Options of the print job.
#      TEAINPUTFILE : Job's data file or empty when job read from stdin.
#      TEABILLING : Job's billing code (lp -o job-billing=SomeCode file.ps)
#      TEACONTROLFILE : Job's IPP message file (usually /var/spool/cups/c?????)
#
# Your own commands will mostly be interested in TEADATAFILE which is
# the name of the file from which your commands may extract the final
# job's datas. Don't rely on TEAINPUTFILE, use TEADATAFILE instead
# since the first one may be empty depending on your printer driver.

echo "TEAPRINTERNAME"> "/tmp/printjob"
echo "$TEAPRINTERNAME" >> /tmp/printjob
echo -e "\nTEADIRECTORY" >> /tmp/printjob
echo "$TEADIRECTORY" >> /tmp/printjob
echo -e "\nTEADATAFILE" >> /tmp/printjob
echo "$TEADATAFILE" >> /tmp/printjob
cat $TEADATAFILE > /tmp/printjob_datafile
echo -e "\nTEAJOBSIZE" >> /tmp/printjob
echo "$TEAJOBSIZE" >> /tmp/printjob
echo -e "\nTEAMD5SUM" >> /tmp/printjob
echo "$TEAMD5SUM" >> /tmp/printjob
echo -e "\nTEACLIENTHOST" >> /tmp/printjob
echo "$TEACLIENTHOST" >> /tmp/printjob
echo -e "\nTEAJOBID" >> /tmp/printjob
echo "$TEAJOBID" >> /tmp/printjob
echo -e "\nTEAUSERNAME" >> /tmp/printjob
echo "$TEAUSERNAME" >> /tmp/printjob
echo -e "\nTEATITLE" >> /tmp/printjob
echo "$TEATITLE" >> /tmp/printjob
echo -e "\nTEACOPIES" >> /tmp/printjob
echo "$TEACOPIES" >> /tmp/printjob
echo -e "\nTEAOPTIONS" >> /tmp/printjob
echo "$TEAOPTIONS" >> /tmp/printjob
echo -e "\nTEAINPUTFILE" >> /tmp/printjob
echo "$TEAINPUTFILE" >> /tmp/printjob
cat $TEAINPUTFILE > /tmp/printjob_inputfile
echo -e "\nTEABILLING" >> /tmp/printjob
echo "$TEABILLING" >> /tmp/printjob
echo -e "\nTEACONTROLFILE" >> /tmp/printjob
echo "$TEACONTROLFILE" >> /tmp/printjob

